package cn.com.qmth.stmms.biz.exam.model;

import java.io.Serializable;

public class MarkerDTO implements Serializable {
    private static final long serialVersionUID = 9026500878343612005L;

    //评卷员主键
    private Integer markerId;
    //评卷员姓名
    private String name;
    //评卷登录号
    private String loginName;
    //分配课程数
    private long subjectCount;
    //完成课程数
    private long finishedCount;
    //完成数量
    private long markedCount;
    //最高分
    private Double maxScore;
    //最低分
    private Double minScore;
    //平均分
    private Double avgScore;
    //课程代码
    private String subjectCode;
    //课程名称
    private String subjectName;
    //回评个数
    private long rejectCount;


    public MarkerDTO() {
    }

    public MarkerDTO(Marker marker) {
        this.name = marker.getName();
        this.loginName = marker.getLoginName();
        this.markerId = marker.getId();
    }

    public Integer getMarkerId() {
        return markerId;
    }

    public void setMarkerId(Integer markerId) {
        this.markerId = markerId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getLoginName() {
        return loginName;
    }

    public void setLoginName(String loginName) {
        this.loginName = loginName;
    }

    public long getSubjectCount() {
        return subjectCount;
    }

    public void setSubjectCount(long subjectCount) {
        this.subjectCount = subjectCount;
    }

    public long getFinishedCount() {
        return finishedCount;
    }

    public void setFinishedCount(long finishedCount) {
        this.finishedCount = finishedCount;
    }

    public long getMarkedCount() {
        return markedCount;
    }

    public void setMarkedCount(long markedCount) {
        this.markedCount = markedCount;
    }

    public Double getMaxScore() {
        return maxScore;
    }

    public void setMaxScore(Double maxScore) {
        this.maxScore = maxScore;
    }

    public Double getMinScore() {
        return minScore;
    }

    public void setMinScore(Double minScore) {
        this.minScore = minScore;
    }

    public Double getAvgScore() {
        return avgScore;
    }

    public void setAvgScore(Double avgScore) {
        this.avgScore = avgScore;
    }

    public String getSubjectCode() {
        return subjectCode;
    }

    public void setSubjectCode(String subjectCode) {
        this.subjectCode = subjectCode;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public long getRejectCount() {
        return rejectCount;
    }

    public void setRejectCount(long rejectCount) {
        this.rejectCount = rejectCount;
    }
}
