package cn.com.qmth.stmms.biz.distributpaper.dao;

import java.util.List;

import org.springframework.data.domain.Sort;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.repository.PagingAndSortingRepository;

import cn.com.qmth.stmms.biz.distributpaper.model.FormallyHistory;

public interface FormallyHistoryDao extends PagingAndSortingRepository<FormallyHistory, Integer>,
        JpaSpecificationExecutor<FormallyHistory> {

    List<FormallyHistory> findByLibraryId(int libraryId, Sort sort);

    List<FormallyHistory> findByScorer(int markerId);

}
